<script>
<!-- Begin

function CheckMQ()
{
  if( document.hpage )
  {
    if( document.hpage.mfCASIMSDefaultMQName && document.hpage.mfCASIMSTMMQName )
    {
      if( document.hpage.mfCASIMSDefaultMQName.checked == false )
      {
        document.hpage.mfCASIMSTMMQName.disabled = false;
      }
      else
      {
        document.hpage.mfCASIMSTMMQName.disabled = true;
      }
    }
  }
  else if( document.getElementById )
  {
    if( document.getElementById("mfCASIMSDefaultMQName").checked == false )
    {
      document.getElementById("mfCASIMSTMMQName").disabled = false;
    }
    else
    {
      document.getElementById("mfCASIMSTMMQName").disabled = true;
    }  
  }

  return;
}
//  End -->
</script>

<FORM name="hpage" METHOD=POST>
<INPUT TYPE=HIDDEN VALUE=i300 Name=page>

<table border=0 cellspacing=0 cellpadding=0 bgcolor=#aaaaaa><tr><td>
<table border=0 cellspacing=1 cellpadding=5>

<!-- Start of tabbed view titlebar -->

<tr>
<td align=right width=1% bgcolor=ffffcc nowrap><a href="/?page_000!">
<img src=back.gif border=0 alt="Server List"></a></td>
<td align=right width=1% bgcolor=ffffcc nowrap><a href=p_^e
                                                             
><img src=prev.gif border=0 alt="Previous Server"></a></td>
<td align=right width=1% bgcolor=ffffcc nowrap><a href=n_^e
                                                                
><img src=next.gif border=0 alt="Next Server"></a></td>
<td bgcolor=#aaccff class="custom" nowrap>Server ^1         
                                                                                                     
                                                                      
                                                                                                     
                                                                      
</td>

</tr>

<!-- End of tabbed view titlebar -->


<tr><td bgcolor=#ffffff colspan=4>

<table border=0 cellspacing=0 cellpadding=0 bgcolor=#aaaaaa>
<tr><td bgcolor=ffffff>



<table border=0 cellspacing=0 cellpadding=3>
<tr>
<td width=1 background="hi_start_tab.gif" bgcolor=#ffffff height=30></td>
<td class="custom" background="1.gif" bgcolor=#ffffff nowrap>
<table border=0 cellspacing=0 cellpadding=3 bgcolor=#ffffcc>
<tr><td nowrap>&nbsp;
<B>サーバー...</B>&nbsp;
</td></tr></table>

</td><td width=1 background="end_hi_tab.gif" bgcolor=#ffffff></td>




<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>^A
                                                                                                                                     
                                                                                                              
                     
</a></td><td width=1 background="tab.gif" bgcolor=#ffffff></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>^D
                                                                                                                           
                                                                                                   
                    
</a></td><td width=1 background="tab.gif" bgcolor=#ffffff></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>^H
                                                                                                   
                                                                                                                           
                 
</a></td><td width=1 background="tab.gif" bgcolor=#ffffff></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>^C
                                                                                                                                     
                                                                                                              
                     
</a></td><td width=1 background="end_tab.gif" bgcolor=#ffffff></td>

</tr>
</table>
<table border=0 cellspacing=0 cellpadding=1 bgcolor=#aaaaaa><tr><td>
<table border=0 cellspacing=0 cellpadding=5 bgcolor=#ffffff><tr><td>
<table border=0 cellspacing=0 cellpadding=3><tr><td>




<!---------------->


<table border=0 cellspacing=0 cellpadding=0 bgcolor=#aaaaaa width=100%>
<tr><td bgcolor=ffffff>



<table border=0 cellspacing=0 cellpadding=3>
<tr>
<td background="hi_start_tab.gif" bgcolor=#ffffff></td>

<td class="custom" background="1.gif" nowrap>
<table border=0 cellspacing=0 cellpadding=3 bgcolor=#ffffcc>
<tr><td>&nbsp;
<B>プロパティ...</B>&nbsp;
</td></tr></table>
</td><td width=1 background="end_hi_tab.gif" bgcolor=#ffffff></td>

<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=t100_action_=Details_action_^e                                                                          "> 

構成&nbsp;</B></td>
<td width=1 background="tab.gif" bgcolor=#ffffff height=30></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=c000_action_=Trace_action_^e                                                                          ">
                                                                                                              
診断...</a>&nbsp;</td><td width=1 background="end_tab.gif" bgcolor=#ffffff></td>

</tr>
</table>

<table border=0 cellspacing=0 cellpadding=1 bgcolor=#aaaaaa width=100%><tr><td>
<table border=0 cellspacing=0 cellpadding=5 bgcolor=#ffffff width=100% height=100%><tr><td>
<table border=0 cellspacing=0 cellpadding=3><tr><td>




<!-------------------->

<table border=0 cellspacing=0 cellpadding=0 bgcolor=#aaaaaa width=100%>
<tr><td bgcolor=ffffff>



<table border=0 cellspacing=0 cellpadding=3>
<tr>
<td width=1 background="start_tab.gif" bgcolor=#ffffff height=30></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>
<a href="?page=1000_action_=Edit_action_^e                                                                          ">
一般</a>&nbsp;

</td>

<td width=1 background="tab.gif" bgcolor=#ffffff></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=c000_action_=XRM_action_^e                                                                          ">
                                                                                                              
                                                                                                              
XAリソース ^X   </a>&nbsp;</td><td width=1 background="2.gif" bgcolor=#ffffff></td>

<td width=5 background="hi_tab.gif" bgcolor=#ffffff class="custom_small">&nbsp;</td> 
<td class="custom" background="1.gif" bgcolor=#ffffff nowrap>
<table border=0 cellspacing=0 cellpadding=3 bgcolor=#ffffcc>
<tr><td nowrap>
&nbsp;
<B>MTO...</B>&nbsp;^0                              
</td></tr></table>
</td>

<td width=1 background="end_hi_tab.gif" bgcolor=#ffffff></td>

<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=c000_action_=Advanced_action_^e                                                                          ">
                                                                                                              
                                                                                                              
スクリプト</a>&nbsp;</td><td width=1 background="tab.gif" bgcolor=#ffffff></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=c000_action_=Ission_action_^e                                                                          ">
                                                                                                              
                                                                                                              
アクセス権</a>&nbsp;</td>

<td width=1 background="tab.gif" bgcolor=#ffffff></td>

<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=c000_action_=Urity_action_^e                                                                          ">
                                                                                                              
                                                                                                              
セキュリティ</a>&nbsp;</td>
<td width=1 background="end_tab.gif" bgcolor=#ffffff></td>
</tr>
</table>

<table border=0 cellspacing=0 cellpadding=1 bgcolor=#aaaaaa width=100%><tr><td>
<table border=0 cellspacing=0 cellpadding=5 bgcolor=#ffffff width=100% height=100%><tr><td>
<table border=0 cellspacing=0 cellpadding=3><tr><td>

<!-- MTO tabs -->

<table border=0 cellspacing=0 cellpadding=0 bgcolor=#aaaaaa width=100%>
<tr bgcolor=#ffffff><td>
    <table>
    
      <TR>
        <TD class="custom">Mainframe Transaction Option利用可能:</TD>
        <TD><INPUT NAME="mfCASMTOEnabled" TYPE=CHECKBOX onChange="JavaScript:setItemChanged();" VALUE=Y ^M     ></TD>
     </TR>
    </table>
</td></tr>
<tr><td bgcolor=ffffff>



<table border=0 cellspacing=0 cellpadding=3>
<tr>
<td width=1 background="start_tab.gif" bgcolor=#ffffff height=30></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>
&nbsp;
<a href="?page=c000_action_=MTO_action_^e                                                                          ">
CICS</a>&nbsp;^0                              
</td>
<td width=1 background="tab.gif" bgcolor=#ffffff></td>

<!-- unselected JES tab start -->

<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>
&nbsp;
<a href="?page=c000_action_=Batch_action_^e                                                                          ">
JES...</a>&nbsp;^b                              
</td>


<!-- unselected JES tab end -->

<!-- selected IMS tab start -->

<td width=5 background="hi_tab.gif" bgcolor=#ffffff class="custom_small">&nbsp;&nbsp;</td> 
<td class="custom" background="1.gif" bgcolor=#ffffff nowrap>
<table border=0 cellspacing=0 cellpadding=3 bgcolor=#ffffcc>
<tr><td nowrap>

<B>&nbsp;IMS... ^g                              </B>                            
</td></tr></table>
</td>

<td width=1 background="end_hi_tab.gif" bgcolor=#ffffff></td>

<!-- selected IMS tab end -->

<!-- Padding tab -->
<td width="100%" bgcolor=#ffffff>&nbsp;</td>
</tr>
</table>

<table border=0 cellspacing=0 cellpadding=1 bgcolor=#aaaaaa width=100%><tr><td>
<table border=0 cellspacing=0 cellpadding=5 bgcolor=#ffffff width=100% height=100%><tr><td>


<!-- IMS tabs -->

<table border=0 cellspacing=0 cellpadding=0 bgcolor=#aaaaaa width=100%>
<tr><td bgcolor=ffffff>



<table border=0 cellspacing=0 cellpadding=3>
<tr>
<td width=1 background="start_tab.gif" bgcolor=#ffffff height=30></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>
&nbsp;
<a href="?page=c000_action_=IMS_action_^e                                                                          ">  
一般</a>
&nbsp;
</td>

<td width=1 background="tab.gif" bgcolor=#ffffff height=30 class="custom"></td>
<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>
&nbsp;
<a href="?page=i100_action_=DB_action_^e                                                                          ">  
DB</a>
&nbsp;
</td>

<td width=5 background="hi_tab.gif" bgcolor=#ffffff height=30 class="custom">&nbsp;&nbsp;</td>
<td class="custom" background="1.gif" bgcolor=#ffffff nowrap>
<table border=0 cellspacing=0 cellpadding=3 bgcolor=#ffffcc>
<tr><td>
<b>&nbsp;TM...</b>&nbsp;
</td></tr></table>
<td width=1 background="end_hi_tab.gif" bgcolor=#ffffff></td>

<!-- Padding tab -->
<td width="100%" bgcolor=#ffffff>&nbsp;</td>

</tr>
</table>

<table border=0 cellspacing=1 cellpadding=6 bgcolor=#aaaaaa width=100% height=100%>



<!-- TM tabs -->


<tr><td bgcolor=#ffffff>


<table border=0 cellspacing=0 cellpadding=3>
<tr>
<td width=1 background="hi_start_tab.gif" bgcolor=#ffffff height=30></td>
<td class="custom" background="1.gif" bgcolor=#ffffff nowrap>
<table border=0 cellspacing=0 cellpadding=3 bgcolor=#ffffcc>
<tr><td>
<b>&nbsp;General</b>&nbsp;
</td></tr></table>
</td>

<td width=1 background="end_hi_tab.gif" bgcolor=#ffffff class="custom_small"></td> 

<td class="custom" background="2.gif" bgcolor=#ffffff nowrap>&nbsp;
<a href="?page=i300_action_=MPR_action_^e                                                                          ">
MPRs  ^$              
</a>
&nbsp;</td>
<td width=1 background="end_tab.gif" bgcolor=#ffffff></td>
</tr>
</table>


<table border=0 cellspacing=0 cellpadding=1 bgcolor=#aaaaaa width=100%><tr><td>
<table border=0 cellspacing=0 cellpadding=8 bgcolor=#ffffef width=100% height=100%>





<!-------------------->


<!--
Message queue
-->
  <tr>
    <td colspan="2" class="custom" nowrap>
    Message queue:

<table border="0" cellspacing="1" cellpadding="5" bgcolor=#aaaaaa width="100%">
<tr><td class="custom" bgcolor=#ffffef>
  Use default queue name:&nbsp;
  <input type="checkbox" name="mfCASIMSDefaultMQName" value="Y" onChange="JavaScript:setItemChanged();" onClick="CheckMQ();" ^[         />
  <br/>

<!--
[path-name]
Fully qualified path and file name of IMS Message Queue, defaults to <workdir>/IMSMESGQ.dat
-->

    Name:
    <input maxlength="255" size="67" name="mfCASIMSTMMQName" onChange="JavaScript:setItemChanged();" value=^2
                                                                                                               
                                                                                                             
                                                                                                             
                                                                                                             

<!--
[max-blocks]
Number - minimum size 4, maximum size 63488, default size 32
-->
    <br/>
    Maximum blocks:
    <input maxlength="5" size="6" name="mfCASIMSTMMQMaxBlocks" onKeyUp="JavaScript:makeNumeric(this)" onChange="JavaScript:setItemChanged();" value=^3
               >


<!--
[queue-buffer-count]
Number - minimum size 1, maximum size 64, default size 1
-->

    <br/>
    Queue buffer count:
    <input maxlength="2" size="3" name="mfCASIMSTMMQBufferCount" onKeyUp="JavaScript:makeNumeric(this)" onChange="JavaScript:setItemChanged();" value=^4
               >

<!--
[cold-warm-start]
N - No cold start
Y - Cold Start all
S - Cold Start stats only
Q - Cold Start queue only
-->

    &nbsp;&nbsp;&nbsp;&nbsp;
    Cold start:
    <select name="mfCASIMSTMMQColdStart" onChange="JavaScript:setItemChanged();">^F
                                                                 
                                                                
                                                                 
                                                                 

    </select>

    &nbsp;&nbsp;Persist:&nbsp;<input type="checkbox" name="mfCASIMSTMMQPersistColdStart" value="Y" onChange="JavaScript:setItemChanged();"  ^%      /> 
    </td>
    </tr>
    </table>

    </td>
  </tr>    




<tr>
       <td class="custom" colspan="2">MFS path:<br/>
       <textarea onChange="JavaScript:setItemChanged();" name="mfcasimstmmfspath" rows="2" cols="60" wrap="virtual">^5
                                                            
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      

       </td>
    </tr>
   

<!--
[MFS-attribute-bias]
C - Character
B - Binary (default)
-->

  <tr>
    <td class="custom" nowrap colspan="2">
       MFS attribute bias:

       <select name="mfCASIMSAttribute" onChange="JavaScript:setItemChanged();">
         <option>Binary</option>
         <option ^8      >Character</option>
       </select>
    </td>
  </tr>


<!--
[MFS-null-char]
c - single character specification 
x'yy' - hexadecimal character specification
-->

  <tr>
    <td class="custom" nowrap colspan="2">
        MFS null character:

        <table border="0" cellspacing="1" cellpadding="5" bgcolor=#aaaaaa>
          <tr bgcolor=#ffffef>
          <td class="custom">

  
          <input name="mfCASIMSNullType" type="radio" onChange="JavaScript:setItemChanged();" value="c" ^9      />
          Character:
        

          <input name="mfCASIMSNullSingleChar" maxlength="1" size="2" onChange="JavaScript:setItemChanged();" value=^Y  />

          &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

          <input name="mfCASIMSNullType" type="radio" onChange="JavaScript:setItemChanged();" value="x" ^a      />
          Hexadecimal:&nbsp;&nbsp;&nbsp;0x

          <input name="mfCASIMSHexChar" maxlength="2" size="2" onChange="JavaScript:setItemChanged();" onKeyUp="JavaScript:makeAlphaNumeric(this)" value=^h  />
          &nbsp;
         </td>
         </tr>
        </table>  

    </td>
  </tr>
    
   
<!--
[keypoint frequency - min 64 (default) and max 32767]
-->
  <tr>
    <td colspan="2" class="custom" nowrap>
       Activity keypoint frequency:
       &nbsp;&nbsp;
       <input name="mfCASIMSKeypointFrequency" onChange="JavaScript:setItemChanged();" maxlength="5" size="6" onKeyUp="JavaScript:makeNumeric(this)" value=^q    />

<!--
[trailing space required - y/n]
-->

       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
       Trailing space:&nbsp;
       <input type="checkbox" name="mfCASIMSTrailingSpace" value="Y" onChange="JavaScript:setItemChanged();" ^'         />
    </td>
  </tr>


<tr>
       <td class="custom" colspan="2">Application path:<br/>
       <textarea onChange="JavaScript:setItemChanged();" name="mfCASIMSTMAppPath" rows="2" cols="60" wrap="virtual">^6
                                                            
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      

       </td>
    </tr>

<tr>
       <td class="custom" colspan="2">Transaction definition file directory:<br/>
       <textarea onChange="JavaScript:setItemChanged();" name="mfCASIMSTMTranDefPath" rows="2" cols="60" wrap="virtual">^]
                                                            
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      
                                                                      

       </td>
    </tr>


    <tr><td colspan="2">

  
    <INPUT TYPE=HIDDEN NAME=mfUID VALUE=^f
                                                                                 
                                                                                 
                                                                                 
                                                                                 
    >



